SETFDPRM(8)

NAME
setfdprm - sets user-provided floppy disk parameters

SYNOPSIS
setfdprm [ -p ] device name
setfdprm [ -p ] device size sectors heads tracks stretch gap rate spec1 fmt_gap
setfdprm [ -c ] device
setfdprm [ -y ] device
setfdprm [ -n ] device

DESCRIPTION
setfdprm is a utility that can be used to load disk parameters into the auto-detecting floppy devices, to clear old parameter sets and to disable or enable diagnostic messages. Without any options, setfdprm loads the device (usually /dev/fd0 or /dev/fd1) with a new parameter set with the name entry found in /etc/fdprm (usually named 360/360, etc.). These parameters stay in effect until the media is changed.

-p device name
    Permanently loads a new parameter set for the specified auto-configuring floppy device for the configuration with name in /etc/fdprm. Alternatively, the parameters can be given directly from the command line.

-c device
    Clears the parameter set of the specified auto-configuring floppy device.

-y device
    Enables format detection messages for the specified auto-configuring floppy device.

-n device
    Disables format detection messages for the specified auto-configuring floppy device.

BUGS
This documentation is grossly incomplete.

FILES
/etc/fdprm

AUTHOR
Werner Almesberger (almesber@nessie.cs.id.ethz.ch)